Abstract
Energyefficient resource allocation is investigated for a relaybased multiuser cooperation orthogonal frequency division multiple access (OFDMA) uplink system with amplifyandforward (AF) protocol for all relays. The objective is to maximize the total energy efficiency (EE) of the uplink system with consideration of some practical limitations, such as the individual power constraint for the users and relays and the quality of service (QoS) for every user. We formulate an energyefficient resource allocation problem that seeks joint optimization of subcarrier pairing, relay selection, subcarrier assignment, and power allocation. Unlike previous optimization throughput models, we transform the considered EE problem in fractional form into an equivalent optimal problem in subtractive form, which is solved by using dual decomposition and subgradient methods. To reduce computation costs, we propose two lowcomplexity suboptimal schemes. Numerical studies are conducted to evaluate the EE of the proposed algorithms.
1. Introduction
Transmit diversity generally requires more than one antenna at the transmitter and receiver. However, many wireless devices are limited to single antenna because of size or hardware complexity. Cooperation communication is a promising solution to address this problem in various wireless systems, such as ad hoc and cellular networks [1, 2]. In contrast to traditional pointtopoint or pointtomultipoint wireless communication, cooperation communication allows different users or nodes in a wireless system to share resources and create collaboration through distributed transmission; every piece of user’s information is sent not only by itself but also by the collaborating users or nodes [3]. Therefore, cooperative communication formulates a new form of space diversity to combat the negative effect of severe fading [4]. Cooperative communication can improve the overall system performance by improving the spectrum efficiency, extending the coverage area, and prolonging the network lifetime. Orthogonal frequency division multiple access (OFDMA) or multiuser orthogonal frequency division multiplexing (MUOFDM) is the preferred multiple access scheme for highspeed wireless multiuser communication networks because of its high spectrum efficiency and resistance to multipath fading [5]. Moreover, several users’ signals are simultaneously transmitted over different subcarriers on each OFDM symbol to avoid interference between users. Thus, to improve system performance, studying optimal resource allocation in relayassisted OFDMA communication system is important.
Relaying protocols have three main types, namely, amplifyandforward (AF), decodeandforward (DF), and compressandforward (CF). In AF, the signal received by relay is amplified and retransmitted to the destination. The noise is also amplified at the relay. This protocol is simple and of low cost. In DF, the relay attempts to decode the received signal. If successful, DF reencodes the information and retransmits the signal. CF attempts to generate an estimate for the received signal. Hoping the estimated value provides some assistance in decoding the original codeword at the destination. Given the limited available space, we only study the energyefficient resource allocation with AF protocol. The other relaying protocols will be studied in future works.
Compared with previous studies on singlecarrier relay networks or multicarrier noncooperation networks, more technical challenges exist in the study of multicarrier cooperation networks. We not only consider the relaying protocols (AF, DF, and CF) but also solve the problems about relay selection and power allocation between users and relays in relaying networks. Several results have been reported recently about relaying networks [6–14]. The optimal power allocation and subcarrier pairing under AF and DF relay links have been studied, and the optimality of ordered subcarrier pairing (OSP) for these two protocols without diversity under total power constraint has been proved [6]. However, multiple relays usually exist in a practical system; thus, subcarriertorelay assignment must be considered [8]. The authors in [9] attempted to solve subcarriertorelay assignment and subcarrier pairing problems in multirelay OFDM system with a single user. Individual and total power constraints were all considered, but multiple users were not studied. In [10], the authors studied optimal relay selection, power allocation, and subcarrier assignment scheme under total power constraint. However, individual power constraint and subcarrier pairing were not considered. Optimal power and time allocation under a longterm total power constraint in OFDMbased linear multihop relay networks with DF protocol were considered in [11, 12]. In [13], the authors considered that a subcarrier may carry a signal for different services. They also proposed maximizing the weighted sum rate by joint optimal subcarrier pairing and power allocation under total and individual power constraints for the source and relay. Crosslayer scheduling for the downlink of AF relayassisted OFDMA networks under imperfect channelstate information at the transmitter in slow fading was introduced in [14]. The authors optimized the rate, power, and subcarrier allocation to maximize the system goodput.
We have discussed only the throughput maximum problem in resource allocation for relayassisted cooperative OFDMA systems. However, explosively growing data traffic and the requirement for ubiquitous access have triggered the escalation of energy, which results in increased greenhouse gas emission [15]. Therefore, energy efficiency (EE) has become an important problem in later development. Besides, mobile terminals cannot connect to an external charger; EE (bits/Hz/Joule) may be a better performance metric than system throughput (bits/s/Hz) in evaluating the performance of wireless communication systems [16–18]. A number of studies on energyefficient resource allocation have been reported [19–24]. Power adaptation for maximizing the EE in downlink and uplink OFDMA cellular networks was studied in [19]. For downlink transmission, the total EE was maximized; for the uplink case, the minimum individual EE was maximized. In [20], the fundamental tradeoff between EE and spectral efficiency (SE) in downlink OFDMA systems was studied. In [21], the authors transformed the considered EE problem in fractional form into an equivalent optimal problem in subtractive form. They also studied the resource allocation for energyefficient communication in multicell OFDMA downlink networks. References [22, 23] used the Dinkelbach method to solve the EE maximum problem in OFDM systems and found the optimal resource allocation. The literature in [24] used the resembled solution in [17] to deal with the energyefficient resource allocation problem in a multiuser OFDMA system. Users’ qualityofservice (QoS) requirements were also considered.
For relaying networks, limited study about EE exists. The authors in [25] formulated EE optimization problem by joint subcarrier assignment, bit, and power allocation. However, they provided only nearoptimal and suboptimal resource schemes to maximize the overall EE and did not find the global optimum. Power constraints for sources and relay were also not considered. The power allocation to maximize EE for a twohop AF relay link under QoS requirement has also been investigated [26]; single user and relay have been studied, but the subcarrier pairing problem has not been considered.
Considerable research exists about the optimal resource allocation mechanisms in relaying networks, including power allocation, subcarrier pairing, and relay selection; see, for example, [6–14]. However, these problems have only been studied in the case of throughput maximization (supposing throughput as objective function). Optimal resource allocation mechanisms will be changed when we consider the system EE (supposing EE as objective function). Hence, we must provide a new optimal resource allocation mechanism to meet the requirements of systems. In this paper, we address the energyefficient resource allocation in AFbased cooperative twohop multirelay uplink OFDMA system. Considering an actual situation, individual power constraint for the users and relays is applied. QoS for every user should be considered. Then, the subcarrier pairing, relay selection, subcarrier assignment, and power allocation problem are formulated as a joint optimization problem with the objective of maximizing the uplink system total EE. Given integer assignment variables, the optimal EE problem falls within the scope of combinatorial programming, which is NPhard. Thus, we transform the EE problem in fractional form into an equivalent optimal problem in subtractive form, which is solved by using dual decomposition and subgradient methods. We also propose two suboptimal algorithms to trade off performance and complexity.
The remainder of this paper is organized as follows. Section 2 introduces the system model and formulates the optimization EE problem. Section 3 presents the optimal resource allocation algorithm. Section 4 shows suboptimal algorithms with low complexity. Section 5 demonstrates simulation results to verify the performance of the proposed algorithms. Section 6 concludes the paper.
2. System Model and Problem Formulation
We consider a multirelayassisted cooperation OFDMA system, as shown in Figure 1. users () and relays () are assumed. The relays are shared by all users. The total number of the subcarriers used is () in the single cell system. Broadband channel is assumed to be frequencyselective Rayleigh fading. All channelstate information is assumed to be perfectly known. Each relay node operates in a timedivision halfduplex mode with AF protocol. Therefore, two phases are needed for the communication between the user and base station. In the first phase, the user transmits the signal to the base station, which is overheard by the selected relay as well. In the second phase, the selected relay forwards the received signal to the base station using AF cooperation protocol. is supposed to receive the signal from user on subcarrier in the first phase, and the signal is then forwarded on subcarrier in the second phase; the subcarrier may not be the same as , and they are thus called a subcarrier pair (, ) [9].
The noise variances of the sourcetorelay (SR) links, relaytodestination (RD) links, and sourcetodestination (SD) links are denoted by , , and , respectively. The channel coefficients of and links on the subcarrier in the first phase are denoted by and , respectively, and that of the links on the subcarrier in the second phase is denoted by . The efficient channel gain of the three links on the subcarrier or for user and relay can be denoted by , , and , respectively. The channel variances of , , and links are denoted by , , and , respectively.
In this relaying system, the base station controls all users and relays. The resource allocation information, including subcarrier pairing, relay selection, subcarrier assignment, and power allocation, is sent to users and relays by the base station via downlink control channel.
The achievable rate for the th user in the subcarrier pair (, ) when the th relay is selected is given by where is the transmit power of the th user in the th subcarrier and is the transmit power of the th relay in the th subcarrier. The factor 1/2 is due to the twophase transmission.
is not jointly concave in and . To make the problem tractable, we adopt the following approximation:
The above approximation is jointly concave in and , as proved in Appendix A. This approximation is based on the assumption that the signal is amplified and forwarded by the relay under a high signaltoratio (SNR) condition. Such approximation has been used in the literatures [7, 9, 27]. However, in a lowSNR regime, [27] proved that the resource allocation almost reaches the true optimal capacity by optimizing the rate (2).
Our objective is to maximize the uplink system total EE subject to a set of constraints. The relay selection and subcarrier assignment constraints are as follows: where indicates that user uses relay as a relay in the subcarrier pair (, ); otherwise, .
denotes the indicator for subcarrier pairing. When , subcarrier in the first phase is paired with subcarrier in the second phase; otherwise, . Given that each subcarrier in the first phase can be paired with only one subcarrier in the second phase, the binary variables must satisfy the following equation:
The individual power constraint of the users and relays can be expressed as follows:
Aside from transmit power, the energy consumption also includes circuit energy consumption [28] and overall power consumption. The power consumptions of user and relay are modeled as follows: where is the reciprocal of drain efficiency of power amplifier. We assume that the reciprocal is the same for all the users and relays.
The optimization EE problem can be formulated as which is subject to where constraint (14) denotes the minimum QoS requirements for the users and . The predetermined weights, , can provide a certain level of priority and/or fairness among users.
3. Optimal Resource Allocation
The integer assignment variables and above EE problem are generally NPhard for optimal solution. If we consider all possibilities of subcarrier pairings and subcarrierpairtouser and relay assignments, then the complexity is high with large , , and . The fraction further complicates the problem. Hence, we apply an effective method to solve this challenging problem.
3.1. Equivalence Transformation of the Optimization Problem
For the fraction objective function in (7), we first rewrite problems (7)–(15) in the following compact form: where , , and . denotes the feasible domain defined by (8)–(15). and are the numerator and denominator in (7), respectively. Problem (16) is a nonlinear fractional problem. According to [29], we transform the considered EE problem in fractional form into an equivalent optimal problem in subtractive form. We then define the following parameter problem: where is treated as a parameter. We have the following theorems, all of which are proved in Appendix B.
Theorem 1. is strictly monotonically decreasing for .
Theorem 2. has a unique solution.
Theorem 3. Consider
Based on the above theorems, we can use binary search method to find and the optimal solution for the primal problem. Therefore, the difficulty is to solve for a given . The optimization problem is
Obtaining the joint optimal , , and for (19) requires solving a mixed integer programming problem. Therefore, finding the optimal solution for problem (19) requires searching through all possible users, relays, and subcarrier allocation, which is a complex task when the system is large. The literature in [30] showed that the duality gap of a nonconvex resource allocation problem that satisfies the timesharing condition is nearly zero with a large number of subcarriers in a multicarrier system. Thus, we solve this problem by using the Lagrange dual method.
3.2. Dual Problem
The Lagrange dual function of problem (19) can be written as where Lagrange is given in (21).
In (20), , , and are the vectors of the dual variables associated with the individual power constraint for the users, individual power constraint for the relays, and individual rate constraint for the users, respectively. Hence, the dual optimization problem is given by
The literature in [31] proved that a dual function is always convex. Therefore, subgradientbased methods can be used to minimize with guaranteed convergence. Dual variables can be updated in parallel as follows:
, , and are used as the step size, and is the iteration index. To guarantee optimal dual variable convergence, the step size is chosen following the diminishing step size policy [32].
3.3. Optimizing Primal Variables with Given Dual Variables
Computing the dual function involves determining the optimal , , and at given dual points , , and . Therefore, we present the detailed solution procedure in three phases.
3.3.1. Finding the Optimal for Fixed and
For the fixed and , we rewrite (20) as where
A detailed derivation is given in Appendix C.
According to the Lagrange dual decomposition method, the optimal power allocation can be determined by solving the following problem:
Appendix A indicates that is a joint concave function of . Applying the KarushKuhnTucker (KKT) conditions [28], we can obtain the following optimal power allocation:And is given in (28).
A detailed derivation is given in Appendix D.
3.3.2. Finding the Optimal for Fixed
Substituting the optimal power allocation expressions (27) and (28) into (20), we can obtain an alternative expression of the dual without power variables as where the function can be defined as follows:
Therefore, the function is the optimal criterion for relay and user selection. We can interpret this criterion by using an economic form. The first term can be viewed as the rate obtained by selecting subcarrier pairing (, ) by user and relay , such as our gross income in the business. The second term is the cost for the user’s power consumption. The third term is the cost for the relay’s power consumption. then represents our net profit. We should find the optimal and to maximize the profit. profit matrix exists for every subcarrier pairing (, ). We should find a maximum value in this matrix; thus, the sum of profit could be large. The optimal relay selection and subcarrier allocation should therefore be the maximum value in (31) and is given by
In the operation, the optimal power allocation can first be computed by using (28) and (29). These power values can then be substituted into (31) to compute . Finally, we need to find a maximum value in profit matrix, and the user and relay pair will be determined.
3.3.3. Finding the Optimal for Fixed
After finding the optimal , we can obtain the corresponding dual function by substituting (32) into (20) as follows:
We can then find the optimal subcarrier pairing . To this end, we launch the first term in (33) and define profit matrix as follows:
We need to select one element in each row and each column in matrix (34) for the sum of profit to be large. Clearly, the problem is a standard linear assignment and can be solved by using the Hungarian method [33]. is defined as the subcarrier index in the second phase optimally paired with subcarrier in the first phase. The optimal subcarrier pairing can be expressed as
We have obtained the optimal variables , , and for given dual variables , , and . We can subsequently obtain the joint optimization problem by updating the dual variables.
is obtained according to the preceding analysis for a given . However, we should find the optimal to satisfy . , which yields and with . Thus, we can use binary search method to find the optimal , as stated in Algorithm 1.

4. Suboptimal Schemes
We analyze the complexity of the proposed optimal scheme. For every subcarrier pair, the number of computations needed to perform relay selection is . Therefore, the complexity at relay selection for all the subcarrier pair is . The complexity of the Hungarian method is . The complexity of the subgradient method is polynomial in the number of dual variables. Considering the individual power constraint for the users and relays and the individual rate constraint for the users, the number of the dual variables is (). Therefore, the overall complexity is . is the accuracy required for the binary search. In this section, we only propose two schemes for the subcarrier pairing.
4.1. Suboptimal Scheme 1: Order Subcarrier Pairing
Similar to the literature in [6], OSP denotes the best subcarrier in the first phase with the best subcarrier in the secondary phase, pairing the next best subcarrier in the first phase with the next best subcarrier in the secondary phase until all the subcarriers are paired. The complexity is for OSP. When the number of subcarriers is small, the advantage of using OSP is not obvious. By contrast, the advantage is obvious when the number of subcarriers is large.
4.2. Suboptimal Scheme 2: Fixed Subcarrier Pairing
To reduce the complexity of the subcarrier pairing, we let the subcarrier pairing be prefixed, rather than seeking the optimal subcarrier pairing. Similar to the previous suboptimal scheme [33], the subcarrier pairing can be arranged as
Thus, the source and relay use the same subcarrier to transmit and forward a signal in different phases, respectively. We do not need to make the subcarrier pair.
In the two suboptimal schemes, we only reduce the complexity for subcarrier pairing. The dual variables still need to be updated to compute .
5. Simulation Results
In this section, simulation results are presented to demonstrate the performance of the three proposed schemes. In the simulation, we consider quasistatic frequencyselective Rayleigh fading channels with a sixtap equalgain, equalspace delay profile. The delay interval between adjacent taps is equal to the inverse of the OFDM system bandwidth. We consider subcarriers. The bandwidth of each subcarrier is 15 kHz. Without loss of generality, we assume that all the noise terms are complex Gaussian random variables with zero mean and variance with 1. To produce large channel fading between users and destination, we assume that the channel variance of link is −8 dB. Two users have the same minimum rate requirement of 0.5 bps/Hz. For each user and relay, the maximum transmit power and the circuit power are 1 W and 0.2 W, respectively. For simplicity, we assume that the drain efficiency of power amplifier is 0.35.
EE of the energyefficient design that optimizes EE and the spectralefficient design that maximizes the weight sum rate with the same constraints is evaluated in Figures 2 and 3. For any and , we assume that the value of is the same and define it as . We set dB for any . Accordingly, the energyefficient design significantly improves EE compared with the spectralefficient design. The suboptimal schemebased OSP is close to the optimal scheme, and its performance reached 97% or more of the optimal performance. EE performance of the suboptimal schemebased fixed subcarrier paring is worse compared with the other two schemes. However, this scheme does not need subcarrier pairing, and its computation complexity is lower. Figure 3 shows that EE will decrease when considering the user’s priority, namely, the weight factors.
For comparison with EE performance under different number of relays, we also plot EE with 12 relays with equal weight factor for all the users in Figure 4. EE in Figure 4 is lower than that in Figure 2 for a given . The literature in [8] indicated that, as the number of relays increases, the average throughput increases. When considering EE, this relationship may be changed, as presented in Figures 2 and 4. Aside from the power consumption of signals, additional circuit energy consumption for the users and relays must be considered. Such additional circuit energy consumption will increase with the number of relays. We consider the throughput per unit power rather than the throughput. Therefore, EE will decrease when the energy consumption is greater than its contribution in rate. This phenomenon will occur especially when the number of relays is large.
Figures 5, 6, and 7 plot the throughput corresponding to the EE in Figures 2, 3, and 4, respectively. From them, the throughput of the spectralefficient design is, as expected, more than that of the energyefficient design. Combining Figures 2 and 5, Figures 3 and 6, and Figures 4 and 7, we can get that the maximum EE and the maximum throughput are not necessarily simultaneously achieved. Due to the limited space, we will investigate the tradeoff relationship in detail in our future work.
Figure 8 illustrates EE versus different numbers of relays under the proposed optimal scheme and suboptimal schemebased OSP. and are set to zero. Figure 8 indicates that, as the relay number increases, EE first increases and then decreases. For different circuit energy consumption, the relay number also differs when EE reaches the maximum. For example, for = 0.18 W, EE reaches the maximum when the number of relays is 6. However, for = 0.2 W, the best relay number is 4. With the decreased circuit energy consumption, the best relay number increases. To express the relationship clearly, we plot EE versus different relay numbers and circuit energy consumption with the optimal scheme only in Figure 9. The figure illustrates that the change of EE with the relay number differs under different circuit energy consumption. For example, when the circuit energy consumption is low, EE increases with the relay number. However, with increasing circuit energy consumption, EE first increases and then decreases. When the circuit energy consumption is high, EE monotone decreases. Therefore, high circuit energy consumption is unfavorable to EE when the number of relays is large.
6. Conclusion
In this paper, we formulate an energyefficient resource allocation problem for a cooperative multirelay OFDMA uplink system with AF protocol. This paper determines the joint optimization of subcarrier pairing, relay assignment, subcarrier assignment, and power allocation with the objective of maximizing EE. Individual power constraint for every user and relay is applied. To solve the complex fraction problem, we transform the considered EE problem in fractional form into an equivalent optimal problem in subtractive form. However, the mixed integer programming problem is NPhard. We utilize the dual method to solve the problem efficiently. To reduce the complexity of the problem, we propose two lowcomplexity schemes for subcarrier pairing. The simulation results show greater EE improvement of the energyefficient design than that of the spectralefficient design, and the performance of the proposed suboptimal algorithm OSPbased is close to that of the optimal algorithm. EE differs under different relay numbers and is also affected by circuit energy consumption. In future work, we will study the fundamental tradeoff between EE and SE in cooperative communication.
Appendices
A. Proof of Convex Function
We define the function as The Hessian of can be written as where
For any and , (A.7) means that the Hessian of is negative semidefinite, and is jointly concave on and [23]. Using affine mapping operation, remains the concavity on and , where and are constant values.
B. Proof of Theorems 1–3
Proof of Theorem 1. We assume that and . Consider
Proof of Theorem 2. Considering the integer variables and , the feasible domain of is a discrete and finite set that consists of all possible subcarrier allocations. Therefore, is generally a continuous but nondifferentiable function for . Given that and , as well as considering Theorem 1, we can obtain Theorem 2.
Proof of Theorem 3. We define problem 1 as follows:
Problem 2 is expressed as follows:
(a)If we have known
we can obtain
According to (B.5a), we have . Equation (B.5b) indicates that the maximum is . Thus, the first part of the proof is finished.(b)If we know
then we can have
Hence,
Using (B.8a), we have . Thus, is the maximum of problem 1. With (B.8b), we have . Therefore, is a solution vector of problem 1.
C. Derivation of (24)
We present the detailed derivation about (24) in (C.1) as follows:
D. Solving Process of (26)
We can obtain the partial derivative of below.
For simplicity, variables , , , , and are replaced by , , , , and , respectively. Consider When and are positive, (D.1) and (D.2) will be zero. Thus, we can have Equation (D.3) can be simplified as follows: where The factor must be greater than zero. We therefore have . Substituting (D.4) into (D.1), we obtain If , then should be set to zero.
When , . For these cases, the optimal power allocation in the first phase can be expressed as follows: Thus, (27) and (28) are proved.
Conflict of Interests
The authors declare that there is no conflict of interests regarding the publication of this paper.
Acknowledgment
This study is funded by the National Natural Science Foundation of China (Grant no. 61271421).